Package org.bukkit.event.entity

# Class EntityChangeBlockEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityChangeBlockEvent

All Implemented Interfaces:
  `Cancellable`

Direct Known Subclasses:
  `EntityBreakDoorEvent`

public class EntityChangeBlockEvent extends EntityEvent implements Cancellable
Called when any Entity changes a block and a more specific event is not available.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityChangeBlockEvent(@NotNull Entity what, @NotNull Block block, @NotNull BlockData to)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Block`
`getBlock()`
Gets the block the entity is changing
`@NotNull BlockData`
`getBlockData()`
Gets the data for the block that would be changed into
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Material`
`getTo()`
Gets the Material that the block is changing into
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityChangeBlockEvent

public EntityChangeBlockEvent(@NotNull @NotNull Entity what, @NotNull @NotNull Block block, @NotNull @NotNull BlockData to)

## Method Details

### getBlock

@NotNull public @NotNull Block getBlock()
Gets the block the entity is changing

Returns:
  the block that is changing

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getTo

@NotNull public @NotNull Material getTo()
Gets the Material that the block is changing into

Returns:
  the material that the block is changing into

### getBlockData

@NotNull public @NotNull BlockData getBlockData()
Gets the data for the block that would be changed into

Returns:
  the data for the block that would be changed into

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()